petsc-3.6.2 2015-10-02
Report Typos and Errors

# ISSetPermutation

Informs the index set that it is a permutation.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSetPermutation(IS is)

Logically Collective on IS

### Input Parmeters

is -the index set

The debug version of the libraries (./configure --with-debugging=1) checks if the index set is actually a permutation. The optimized version just believes you.

### See Also

ISPermutation()

Level:intermediate
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages